Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.engine
Interface RemoteJMeterEngine

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RemoteJMeterEngineImpl

    public interface RemoteJMeterEngine

extends Remote

This is the interface for the RMI server engine, i.e. `RemoteJMeterEngineImpl`

Method Summary
`void` | `rconfigure(HashTree testTree, String host, File jmxBase, String scriptName)`
`void` | `rexit()`
`void` | `rreset()`
`void` | `rrunTest()`
`void` | `rsetProperties(Properties p)`
`void` | `rstopTest(boolean now)`

Method Detail

### rconfigure

    void rconfigure(HashTree testTree,
                    String host,
                    File jmxBase,
                    String scriptName)
                    throws RemoteException

  Throws:
    `RemoteException`

### rrunTest

    void rrunTest()
                  throws RemoteException,
                         JMeterEngineException

  Throws:
    `RemoteException`
    `JMeterEngineException`

### rstopTest

    void rstopTest(boolean now)
                   throws RemoteException

  Throws:
    `RemoteException`

### rreset

    void rreset()
                throws RemoteException

  Throws:
    `RemoteException`

### rsetProperties

    void rsetProperties(Properties p)
                        throws RemoteException

  Throws:
    `RemoteException`

### rexit

    void rexit()
               throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.